<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:background="@color/black">

    <android.support.v4.widget.NestedScrollView
        android:id="@+id/nestedScroolView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingBottom="200dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/enableG2faControlView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingTop="@dimen/vertical_padding_middle">

                    <com.decenturion.mobile.app.localisation.view.LocalizedTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/ct_voxround_medium"
                        android:lineSpacingExtra="8sp"
                        android:paddingLeft="@dimen/horizontal_padding_middle"
                        android:paddingRight="@dimen/horizontal_padding_middle"
                        android:paddingTop="@dimen/vertical_padding_middle"
                        android:text="@string/app.settings.security.g2fa.text.1"
                        android:textColor="@color/light_gray" />

                    <include
                        android:id="@+id/qrCodeComponentView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        layout="@layout/view_qrcode_component" />

                </LinearLayout>

                <include
                    android:id="@+id/secretCodeView"
                    layout="@layout/view_edit_text_component"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/vertical_padding_middle"/>

            </LinearLayout>

        </LinearLayout>
    </android.support.v4.widget.NestedScrollView>

    <com.decenturion.mobile.ui.component.FloatView
        android:id="@+id/controlsView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/vertical_padding_middle"
        android:layout_marginEnd="@dimen/horizontal_padding_middle"
        android:layout_marginLeft="@dimen/horizontal_padding_middle"
        android:layout_marginRight="@dimen/horizontal_padding_middle"
        android:layout_marginStart="@dimen/horizontal_padding_middle"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:id="@+id/saveChangesButtonView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_empty_square_white"
            android:clickable="true"
            android:focusable="true"
            android:gravity="center_vertical"
            android:minHeight="?attr/actionBarSize"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/horizontal_padding_middle"
            android:paddingRight="@dimen/horizontal_padding_middle">

            <ImageView
                android:layout_width="@dimen/ic_size_small"
                android:layout_height="@dimen/ic_size_small"
                android:layout_marginEnd="@dimen/horizontal_padding_middle"
                android:layout_marginRight="@dimen/horizontal_padding_middle"
                android:src="@drawable/ic_save_24dp"
                tools:ignore="ContentDescription" />

            <com.decenturion.mobile.app.localisation.view.LocalizedTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/ct_voxround_light"
                android:text="@string/app.settings.security.save"
                android:textAllCaps="true"
                android:textColor="@color/white" />

        </LinearLayout>
    </com.decenturion.mobile.ui.component.FloatView>

</android.support.constraint.ConstraintLayout>